Replace the targets on a planner session.
curl --request PUT \
--url https://api.nebyoulous.space/planner/sessions/{id}/targets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targets": [
{
"dsoCatalogId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sortOrder": 499,
"notes": "<string>"
}
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targets: [
{
dsoCatalogId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sortOrder: 499,
notes: '<string>'
}
]
})
};
fetch('https://api.nebyoulous.space/planner/sessions/{id}/targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/planner/sessions/{id}/targets"
payload = { "targets": [
{
"dsoCatalogId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sortOrder": 499,
"notes": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"ok": true,
"session": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gearProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationLat": 123,
"locationLng": 123,
"locationLabel": "<string>",
"sessionDate": "<string>",
"score": 123,
"planData": "<unknown>",
"notes": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"gearProfile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"integrationSets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
],
"sessionTargets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dsoCatalogId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sortOrder": 0,
"notes": "<string>",
"dsoCatalog": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"catalogId": "<string>",
"name": "<string>",
"type": "<string>"
}
}
]
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Planner
Replace the targets on a planner session.
PUT
/
planner
/
sessions
/
{id}
/
targets
Replace the targets on a planner session.
curl --request PUT \
--url https://api.nebyoulous.space/planner/sessions/{id}/targets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targets": [
{
"dsoCatalogId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sortOrder": 499,
"notes": "<string>"
}
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targets: [
{
dsoCatalogId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sortOrder: 499,
notes: '<string>'
}
]
})
};
fetch('https://api.nebyoulous.space/planner/sessions/{id}/targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/planner/sessions/{id}/targets"
payload = { "targets": [
{
"dsoCatalogId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sortOrder": 499,
"notes": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"ok": true,
"session": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gearProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationLat": 123,
"locationLng": 123,
"locationLabel": "<string>",
"sessionDate": "<string>",
"score": 123,
"planData": "<unknown>",
"notes": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"gearProfile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"integrationSets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
],
"sessionTargets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dsoCatalogId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sortOrder": 0,
"notes": "<string>",
"dsoCatalog": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"catalogId": "<string>",
"name": "<string>",
"type": "<string>"
}
}
]
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
An access token issued by a Nebyoulous sign-in: the web session, nebyoulous login, or an MCP OAuth grant.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Maximum array length:
100Show child attributes
Show child attributes